Package org.apache.batchee.container.modelresolver.impl

## Class StepPropertyResolver

- java.lang.Object
- - org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver<Step>
  - - org.apache.batchee.container.modelresolver.impl.StepPropertyResolver

- All Implemented Interfaces:
    `PropertyResolver<Step>`

      public class StepPropertyResolver
      extends AbstractPropertyResolver<Step>

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver

      `isPartitionedStep, UNRESOLVED_PROP_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepPropertyResolver​(boolean isPartitionStep)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Step` | `substituteProperties​(Step step, Properties submittedProps, Properties parentProps)` | Performs property substitution on a given batch element b and all nested sub elements.

    - ### Methods inherited from class org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver

      `replaceAllProperties, resolveElementProperties, substituteProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepPropertyResolver

          public StepPropertyResolver​(boolean isPartitionStep)

  - ### Method Detail

    - #### substituteProperties

          public Step substituteProperties​(Step step,
                                           Properties submittedProps,
                                           Properties parentProps)

      Description copied from interface: `PropertyResolver`
      Performs property substitution on a given batch element b and all nested sub elements. The given batch element is directly modified by this method.
        `submittedProps` - Properties submitted as job parameters
        `parentProps` - Properties inherited from parent elements
      Returns: